## r-cran-cubature 1.1

=== DESCRIPTION ===
Package: cubature
Type: Package
Title: Adaptive multivariate integration over hypercubes
Version: 1.1-2
Date: 2013-02-24
Author: C code by Steven G. Johnson, R by Balasubramanian Narasimhan
Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
Description: Adaptive multivariate integration over hypercubes
License: GPL (>= 2)
Packaged: 2013-02-24 20:30:56 UTC; naras
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-02-25 07:34:36

## r-cran-cubature 1.1-2

=== debian/changelog ===
r-cran-cubature (1.1-2-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #760685)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 06 Sep 2014 16:12:39 -0500

=== debian/control ===
Source: r-cran-cubature
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.1.1), cdbs
Standards-Version: 3.9.5

Package: r-cran-cubature
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}
Description: GNU R package for adaptive multivariate integration
 The cubature package provides adaptive multivariate integration over
 hypercubes.

## r-cran-cubature 1.3

=== DESCRIPTION ===
Package: cubature
Type: Package
Title: Adaptive Multivariate Integration over Hypercubes
Version: 1.3-11
VignetteBuilder: knitr
URL: https://github.com/bnaras/cubature
Authors@R: c(person("Balasubramanian", "Narasimhan", role=c("aut", "cre"),
	   	   email = "naras@stat.stanford.edu"),
	     person("Manuel", "Koller", role=c("ctb"),
	           email = "koller.manuel@gmail.com"),
           person(c("Steven", "G."), "Johnson", role=c("aut")))
Description: R wrapper around the cubature C library of
    Steven G. Johnson for adaptive multivariate integration over hypercubes.
    This version provides both hcubature and pcubature routines in addition
    to a vector interface that results in substantial speed gains.
License: GPL-3
LinkingTo: Rcpp
Imports: Rcpp
NeedsCompilation: yes
RoxygenNote: 6.0.1
Suggests: testthat, knitr, mvtnorm, R2Cuba, benchr
Packaged: 2017-07-18 21:24:15 UTC; naras
Author: Balasubramanian Narasimhan [aut, cre],
  Manuel Koller [ctb],
  Steven G. Johnson [aut]
Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
Repository: CRAN
Date/Publication: 2017-07-19 16:27:43 UTC

## r-cran-cubature 1.3-6

=== debian/changelog ===
r-cran-cubature (1.3-6-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

  * debian/control: Added (Build-)Depends: on r-cran-rcpp
 
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 16 Dec 2016 21:34:58 -0600

=== debian/control ===
Source: r-cran-cubature
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.3.2), cdbs, r-cran-rcpp
Standards-Version: 3.9.8

Package: r-cran-cubature
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-rcpp
Description: GNU R package for adaptive multivariate integration
 The cubature package provides adaptive multivariate integration over
 hypercubes.

## r-cran-cubature 1.3-11

=== debian/changelog ===
r-cran-cubature (1.3-11-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Sep 2017 08:01:11 +0000

r-cran-cubature (1.3-11-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 28 Jul 2017 19:21:08 -0500

r-cran-cubature (1.3-8-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 16 May 2017 21:00:23 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.3.2), cdbs, r-cran-rcpp
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.1), cdbs, r-cran-rcpp
 Standards-Version: 3.9.8
 
 Package: r-cran-cubature

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-cubature package
# Copyright 2003-2014 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/cubature_([-\d\.]*)\.tar.gz

## r-cran-cubature 1.4

=== debian/changelog ===
r-cran-cubature (1.4-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 Jun 2018 21:41:50 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.1), cdbs, r-cran-rcpp
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, r-cran-rcpp
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/edd/r-cran-cubature
+Vcs-Git: https://salsa.debian.org/edd/r-cran-cubature.git
+Homepage: https://cran.r-project.org/package=cubature
 
 Package: r-cran-cubature
 Architecture: any

## r-cran-cubature 2.0.3

=== DESCRIPTION ===
Package: cubature
Type: Package
Title: Adaptive Multivariate Integration over Hypercubes
Version: 2.0.3
VignetteBuilder: knitr
SystemRequirements: GNU make
URL: https://bnaras.github.io/cubature
BugReports: https://github.com/bnaras/cubature/issues
Authors@R: c(person("Balasubramanian", "Narasimhan", role=c("aut", "cre"),
	   	   email = "naras@stat.stanford.edu"),
	     person("Manuel", "Koller", role=c("ctb"),
	           email = "koller.manuel@gmail.com"),
             person(c("Steven", "G."), "Johnson", role=c("aut")),
             person("Thomas", "Hahn", role=c("aut")),
	     person("Annie", "Bouvier", role=c("aut")),
	     person("Kiên", "Kiêu", role=c("aut"), email = "Kien.Kieu@jouy.inra.fr"),
	     person("Simen", "Gaure", role=c("ctb"),
	           email = "simen.gaure@frisch.uio.no"))
Description: R wrappers around the cubature C library of Steven
    G. Johnson for adaptive multivariate integration over hypercubes
    and the Cuba C library of Thomas Hahn for deterministic and
    Monte Carlo integration. Scalar and vector interfaces for 
    cubature and Cuba routines are provided; the vector interfaces
    are highly recommended as demonstrated in the package
    vignette.
License: GPL-3
Encoding: UTF-8
LinkingTo: Rcpp
Imports: Rcpp
NeedsCompilation: yes
RoxygenNote: 6.1.1
Suggests: testthat, knitr, mvtnorm, benchr
Packaged: 2018-12-18 00:47:38 UTC; naras
Author: Balasubramanian Narasimhan [aut, cre],
  Manuel Koller [ctb],
  Steven G. Johnson [aut],
  Thomas Hahn [aut],
  Annie Bouvier [aut],
  Kiên Kiêu [aut],
  Simen Gaure [ctb]
Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
Repository: CRAN
Date/Publication: 2018-12-18 11:00:10 UTC

=== debian/changelog ===
r-cran-cubature (2.0.3-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 Dec 2018 08:17:06 -0600

r-cran-cubature (2.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 12 Dec 2018 20:21:40 -0600

r-cran-cubature (2.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 29 Nov 2018 20:02:43 -0600

r-cran-cubature (1.4-1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 02 Nov 2018 17:27:31 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, r-cran-rcpp
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.2), dh-r, r-cran-rcpp
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-cubature
 Vcs-Git: https://salsa.debian.org/edd/r-cran-cubature.git
 Homepage: https://cran.r-project.org/package=cubature

## r-cran-cubature 2.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cubature
 Type: Package
 Title: Adaptive Multivariate Integration over Hypercubes
-Version: 2.0.3
+Version: 2.0.4
 VignetteBuilder: knitr
 SystemRequirements: GNU make
 URL: https://bnaras.github.io/cubature
@@ -28,9 +28,9 @@
 LinkingTo: Rcpp
 Imports: Rcpp
 NeedsCompilation: yes
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.1
 Suggests: testthat, knitr, mvtnorm, benchr
-Packaged: 2018-12-18 00:47:38 UTC; naras
+Packaged: 2019-12-03 19:25:41 UTC; naras
 Author: Balasubramanian Narasimhan [aut, cre],
   Manuel Koller [ctb],
   Steven G. Johnson [aut],
@@ -40,4 +40,4 @@
   Simen Gaure [ctb]
 Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
 Repository: CRAN
-Date/Publication: 2018-12-18 11:00:10 UTC
+Date/Publication: 2019-12-04 09:20:02 UTC

=== debian/changelog ===
r-cran-cubature (2.0.4-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:17 +0100

r-cran-cubature (2.0.4-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 10 Dec 2019 09:31:27 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.2), dh-r, r-cran-rcpp
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-rcpp
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-cubature
 Vcs-Git: https://salsa.debian.org/edd/r-cran-cubature.git
 Homepage: https://cran.r-project.org/package=cubature

## r-cran-cubature 2.0.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cubature
 Type: Package
 Title: Adaptive Multivariate Integration over Hypercubes
-Version: 2.0.4
+Version: 2.0.4.1
 VignetteBuilder: knitr
 SystemRequirements: GNU make
 URL: https://bnaras.github.io/cubature
@@ -30,7 +30,7 @@
 NeedsCompilation: yes
 RoxygenNote: 7.0.1
 Suggests: testthat, knitr, mvtnorm, benchr
-Packaged: 2019-12-03 19:25:41 UTC; naras
+Packaged: 2020-07-06 10:44:41 UTC; ripley
 Author: Balasubramanian Narasimhan [aut, cre],
   Manuel Koller [ctb],
   Steven G. Johnson [aut],
@@ -40,4 +40,4 @@
   Simen Gaure [ctb]
 Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
 Repository: CRAN
-Date/Publication: 2019-12-04 09:20:02 UTC
+Date/Publication: 2020-07-06 12:44:44

=== debian/changelog ===
r-cran-cubature (2.0.4.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 09 Jul 2020 22:12:53 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-rcpp
-Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.2), dh-r, r-cran-rcpp
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-cubature
 Vcs-Git: https://salsa.debian.org/edd/r-cran-cubature.git
 Homepage: https://cran.r-project.org/package=cubature

## r-cran-cubature 2.0.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: cubature
 Type: Package
 Title: Adaptive Multivariate Integration over Hypercubes
-Version: 2.0.4.1
+Version: 2.0.4.2
 VignetteBuilder: knitr
 SystemRequirements: GNU make
-URL: https://bnaras.github.io/cubature
+URL: https://bnaras.github.io/cubature/
 BugReports: https://github.com/bnaras/cubature/issues
 Authors@R: c(person("Balasubramanian", "Narasimhan", role=c("aut", "cre"),
 	   	   email = "naras@stat.stanford.edu"),
@@ -28,9 +28,9 @@
 LinkingTo: Rcpp
 Imports: Rcpp
 NeedsCompilation: yes
-RoxygenNote: 7.0.1
-Suggests: testthat, knitr, mvtnorm, benchr
-Packaged: 2020-07-06 10:44:41 UTC; ripley
+RoxygenNote: 7.1.1
+Suggests: testthat, knitr, mvtnorm, benchr, rmarkdown
+Packaged: 2021-05-12 21:27:45 UTC; naras
 Author: Balasubramanian Narasimhan [aut, cre],
   Manuel Koller [ctb],
   Steven G. Johnson [aut],
@@ -40,4 +40,4 @@
   Simen Gaure [ctb]
 Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
 Repository: CRAN
-Date/Publication: 2020-07-06 12:44:44
+Date/Publication: 2021-05-13 05:32:15 UTC

=== src/Cuba-4.2-win/Makefile ===
HEADERS = cuba.h
LIB = libcuba.a

lib: $(LIB) $(HEADERS)

srcdir = .
common = $(srcdir)/src/common
vegas = $(srcdir)/src/vegas
suave = $(srcdir)/src/suave
divonne = $(srcdir)/src/divonne
cuhre = $(srcdir)/src/cuhre

COMMON_DEPS = $(common)/stddecl.h $(common)/ChiSquare.c $(common)/Erf.c
COMMON_CDEPS = $(COMMON_DEPS) $(common)/CSample.c $(common)/Parallel.c $(common)/sock.h

VEGAS_C = $(vegas)/Vegas.c
VEGAS_DEPS = $(common)/Random.c \
  $(vegas)/decl.h $(vegas)/common.c \
  $(vegas)/Grid.c $(vegas)/Integrate.c

Vegas.o: config.h $(VEGAS_C) $(VEGAS_DEPS) $(COMMON_CDEPS) 
	$(CC) $(CFLAGS) -I$(vegas) -DNOUNDERSCORE -c -o Vegas.o $(VEGAS_C)
	$(AR) $(ARFLAGS) $(LIB) Vegas.o

SUAVE_C = $(suave)/Suave.c
SUAVE_DEPS = $(common)/Random.c \
  $(suave)/decl.h $(suave)/common.c \
  $(suave)/Grid.c $(suave)/Fluct.c $(suave)/Sample.c \
  $(suave)/Integrate.c

Suave.o: config.h $(SUAVE_C) $(SUAVE_DEPS) $(COMMON_CDEPS)
	$(CC) $(CFLAGS) -I$(suave) -DNOUNDERSCORE -c -o Suave.o $(SUAVE_C)
	$(AR) $(ARFLAGS) $(LIB) Suave.o

DIVONNE_C = $(divonne)/Divonne.c
DIVONNE_DEPS = $(common)/Random.c \
  $(divonne)/decl.h $(divonne)/common.c \
  $(divonne)/KorobovCoeff.c $(divonne)/Rule.c $(divonne)/Sample.c \
  $(divonne)/FindMinimum.c $(divonne)/Iterate.c $(divonne)/Explore.c \
  $(divonne)/Split.c $(divonne)/Integrate.c
DIVONNE = $(DIVONNE_C) $(DIVONNE_DEPS)

Divonne.o: config.h $(DIVONNE_C) $(DIVONNE_DEPS) $(COMMON_CDEPS)
	$(CC) $(CFLAGS) -I$(divonne) -DNOUNDERSCORE -c -o Divonne.o $(DIVONNE_C)
	$(AR) $(ARFLAGS) $(LIB) Divonne.o

CUHRE_C = $(cuhre)/Cuhre.c
CUHRE_DEPS = \
  $(cuhre)/decl.h $(cuhre)/common.c \
  $(cuhre)/Rule.c $(cuhre)/Integrate.c

Cuhre.o: config.h $(CUHRE_C) $(CUHRE_DEPS) $(COMMON_CDEPS)
	$(CC) $(CFLAGS) -I$(cuhre) -DNOUNDERSCORE -c -o Cuhre.o $(CUHRE_C)
	$(AR) $(ARFLAGS) $(LIB) Cuhre.o


Fork.o: $(common)/Fork.c $(common)/stddecl.h $(common)/sock.h
	$(CC) $(CFLAGS) -DNOUNDERSCORE -c -o Fork.o $(common)/Fork.c
	$(AR) $(ARFLAGS) $(LIB) Fork.o

Global.o: $(common)/Global.c $(common)/stddecl.h
	$(CC) $(CFLAGS) -DNOUNDERSCORE -c -o Global.o $(common)/Global.c
	$(AR) $(ARFLAGS) $(LIB) Global.o


Data.o: $(common)/Data.c $(common)/stddecl.h
	$(CC) $(CFLAGS) -c -o Data.o $(common)/Data.c
	$(AR) $(ARFLAGS) $(LIB) Data.o

$(LIB): $(LIB)(Vegas.o)     \
	$(LIB)(Suave.o)     \
	$(LIB)(Divonne.o)   \
	$(LIB)(Cuhre.o)     \
	$(LIB)(Fork.o)      \
	$(LIB)(Global.o)    \
	$(LIB)(Data.o)
	-$(RANLIB) $(LIB)

clean:
	-$(RM) demo-c.out \
	  partview.moc partview.o makefile.partview \
	  cubal.h cubaq.h *.o */*.o */*.tm.c *.tm

distclean: clean
	-$(RM) $(LIB) demo-c demo-fortran \
	  config.h config.log config.status makefile

=== debian/changelog ===
r-cran-cubature (2.0.4.2-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Aug 2021 08:30:14 -0500

r-cran-cubature (2.0.4.2-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

  * debian/control: Set Build-Depends: to recent R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 17 May 2021 13:48:33 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.2), dh-r, r-cran-rcpp
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r, r-cran-rcpp
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-cubature
 Vcs-Git: https://salsa.debian.org/edd/r-cran-cubature.git
 Homepage: https://cran.r-project.org/package=cubature

## r-cran-cubature 2.0.4.5

=== debian/changelog ===
r-cran-cubature (2.0.4.5-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 22 Aug 2022 09:43:02 -0500

r-cran-cubature (2.0.4.4-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 27 Mar 2022 11:10:24 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r, r-cran-rcpp
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-rcpp
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-cubature
 Vcs-Git: https://salsa.debian.org/edd/r-cran-cubature.git
 Homepage: https://cran.r-project.org/package=cubature

## r-cran-cubature 2.0.4.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: cubature
 Type: Package
 Title: Adaptive Multivariate Integration over Hypercubes
-Version: 2.0.4.2
+Version: 2.0.4.6
 VignetteBuilder: knitr
-SystemRequirements: GNU make
+SystemRequirements: GNU make and USE_C17
 URL: https://bnaras.github.io/cubature/
 BugReports: https://github.com/bnaras/cubature/issues
 Authors@R: c(person("Balasubramanian", "Narasimhan", role=c("aut", "cre"),
@@ -28,9 +28,9 @@
 LinkingTo: Rcpp
 Imports: Rcpp
 NeedsCompilation: yes
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.2
 Suggests: testthat, knitr, mvtnorm, benchr, rmarkdown
-Packaged: 2021-05-12 21:27:45 UTC; naras
+Packaged: 2023-01-22 18:16:50 UTC; naras
 Author: Balasubramanian Narasimhan [aut, cre],
   Manuel Koller [ctb],
   Steven G. Johnson [aut],
@@ -40,4 +40,4 @@
   Simen Gaure [ctb]
 Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
 Repository: CRAN
-Date/Publication: 2021-05-13 05:32:15 UTC
+Date/Publication: 2023-01-23 08:40:02 UTC

=== debian/changelog ===
r-cran-cubature (2.0.4.6-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 Jan 2023 15:08:31 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-rcpp
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-rcpp
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-cubature
 Vcs-Git: https://salsa.debian.org/edd/r-cran-cubature.git
 Homepage: https://cran.r-project.org/package=cubature

## r-cran-cubature 2.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cubature
 Type: Package
 Title: Adaptive Multivariate Integration over Hypercubes
-Version: 2.0.4.6
+Version: 2.1.0
 VignetteBuilder: knitr
 SystemRequirements: GNU make and USE_C17
 URL: https://bnaras.github.io/cubature/
@@ -28,9 +28,9 @@
 LinkingTo: Rcpp
 Imports: Rcpp
 NeedsCompilation: yes
-RoxygenNote: 7.2.2
+RoxygenNote: 7.2.3
 Suggests: testthat, knitr, mvtnorm, benchr, rmarkdown
-Packaged: 2023-01-22 18:16:50 UTC; naras
+Packaged: 2023-06-11 18:33:55 UTC; naras
 Author: Balasubramanian Narasimhan [aut, cre],
   Manuel Koller [ctb],
   Steven G. Johnson [aut],
@@ -40,4 +40,4 @@
   Simen Gaure [ctb]
 Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
 Repository: CRAN
-Date/Publication: 2023-01-23 08:40:02 UTC
+Date/Publication: 2023-06-11 20:30:02 UTC

=== src/Cuba-win/Makefile ===
HEADERS = cuba.h
LIB = libcuba.a

lib: $(LIB) $(HEADERS)

srcdir = .
common = $(srcdir)/src/common
vegas = $(srcdir)/src/vegas
suave = $(srcdir)/src/suave
divonne = $(srcdir)/src/divonne
cuhre = $(srcdir)/src/cuhre
demo = $(srcdir)/demo
tools = $(srcdir)/tools


COMMON_DEPS = $(common)/stddecl.h $(common)/ChiSquare.c $(common)/Erf.c
COMMON_CDEPS = $(COMMON_DEPS) $(common)/CSample.c $(common)/Parallel.c $(common)/sock.h
COMMON_TMDEPS = $(COMMON_DEPS) $(common)/MSample.c

RNG_DEPS = $(common)/Random.c $(common)/KorobovCoeff.c

VEGAS_C = $(vegas)/Vegas.c
VEGAS_TM = $(vegas)/Vegas.tm
VEGAS_DEPS = $(RNG_DEPS) \
  $(vegas)/decl.h $(vegas)/common.c \
  $(vegas)/Grid.c $(vegas)/Integrate.c
VEGAS = $(VEGAS_C) $(VEGAS_TM) $(VEGAS_DEPS)

$(LIB)(Vegas.o): config.h $(VEGAS_C) $(VEGAS_DEPS) $(COMMON_CDEPS) 
	$(CC) $(CFLAGS) -I$(vegas) -DNOUNDERSCORE -c -o Vegas.o $(VEGAS_C)
	$(AR) $(ARFLAGS) $(LIB) Vegas.o
	$(RM) Vegas.o



SUAVE_C = $(suave)/Suave.c
SUAVE_TM = $(suave)/Suave.tm
SUAVE_DEPS = $(RNG_DEPS) \
  $(suave)/decl.h $(suave)/common.c \
  $(suave)/Grid.c $(suave)/Fluct.c $(suave)/Sample.c \
  $(suave)/Integrate.c
SUAVE = $(SUAVE_C) $(SUAVE_TM) $(SUAVE_DEPS)

$(LIB)(Suave.o): config.h $(SUAVE_C) $(SUAVE_DEPS) $(COMMON_CDEPS)
	$(CC) $(CFLAGS) -I$(suave) -DNOUNDERSCORE -c -o Suave.o $(SUAVE_C)
	$(AR) $(ARFLAGS) $(LIB) Suave.o
	$(RM) Suave.o



DIVONNE_C = $(divonne)/Divonne.c
DIVONNE_TM = $(divonne)/Divonne.tm
DIVONNE_DEPS = $(RNG_DEPS) \
  $(divonne)/decl.h $(divonne)/common.c \
  $(divonne)/Rule.c $(divonne)/Sample.c \
  $(divonne)/FindMinimum.c $(divonne)/Iterate.c $(divonne)/Explore.c \
  $(divonne)/Split.c $(divonne)/Integrate.c
DIVONNE = $(DIVONNE_C) $(DIVONNE_TM) $(DIVONNE_DEPS)

$(LIB)(Divonne.o): config.h $(DIVONNE_C) $(DIVONNE_DEPS) $(COMMON_CDEPS)
	$(CC) $(CFLAGS) -I$(divonne) -DNOUNDERSCORE -c -o Divonne.o $(DIVONNE_C)
	$(AR) $(ARFLAGS) $(LIB) Divonne.o
	$(RM) Divonne.o



CUHRE_C = $(cuhre)/Cuhre.c
CUHRE_TM = $(cuhre)/Cuhre.tm
CUHRE_DEPS = \
  $(cuhre)/decl.h $(cuhre)/common.c \
  $(cuhre)/Rule.c $(cuhre)/Integrate.c
CUHRE = $(CUHRE_C) $(CUHRE_TM) $(CUHRE_DEPS)

$(LIB)(Cuhre.o): config.h $(CUHRE_C) $(CUHRE_DEPS) $(COMMON_CDEPS)
	$(CC) $(CFLAGS) -I$(cuhre) -DNOUNDERSCORE -c -o Cuhre.o $(CUHRE_C)
	$(AR) $(ARFLAGS) $(LIB) Cuhre.o
	$(RM) Cuhre.o



$(LIB)(Fork.o): $(common)/Fork.c $(common)/stddecl.h $(common)/sock.h
	$(CC) $(CFLAGS) -DNOUNDERSCORE -c -o Fork.o $(common)/Fork.c
	$(AR) $(ARFLAGS) $(LIB) Fork.o
	$(RM) Fork.o



$(LIB)(Global.o): $(common)/Global.c $(common)/stddecl.h
	$(CC) $(CFLAGS) -DNOUNDERSCORE -c -o Global.o $(common)/Global.c
	$(AR) $(ARFLAGS) $(LIB) Global.o
	$(RM) Global.o



$(LIB)(Data.o): $(common)/Data.c $(common)/stddecl.h
	$(CC) $(CFLAGS) -c -o Data.o $(common)/Data.c
	$(AR) $(ARFLAGS) $(LIB) Data.o
	$(RM) Data.o

$(LIB): $(LIB)(Vegas.o)     \
	$(LIB)(Suave.o)     \
	$(LIB)(Divonne.o)   \
	$(LIB)(Cuhre.o)     \
	$(LIB)(Fork.o)      \
	$(LIB)(Global.o)    \
	$(LIB)(Data.o)
	-$(RANLIB) $(LIB)

clean:
	-$(RM) demo-c.out \
	  partview.moc partview.o makefile.partview \
	  cubal.h cubaq.h *.o */*.o */*.tm.c *.tm

distclean: clean
	-$(RM) $(LIB) demo-c demo-fortran \
	  config.h config.log config.status makefile

=== debian/changelog ===
r-cran-cubature (2.1.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Jun 2023 11:34:04 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-rcpp
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.1), dh-r, r-cran-rcpp
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-cubature
 Vcs-Git: https://salsa.debian.org/edd/r-cran-cubature.git

=== debian/watch ===
version=3
https://cran.r-project.org/src/contrib/cubature_([-\d\.]*)\.tar.gz

## r-cran-cubature 2.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cubature
 Type: Package
 Title: Adaptive Multivariate Integration over Hypercubes
-Version: 2.1.0
+Version: 2.1.1
 VignetteBuilder: knitr
 SystemRequirements: GNU make and USE_C17
 URL: https://bnaras.github.io/cubature/
@@ -28,9 +28,9 @@
 LinkingTo: Rcpp
 Imports: Rcpp
 NeedsCompilation: yes
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 Suggests: testthat, knitr, mvtnorm, benchr, rmarkdown
-Packaged: 2023-06-11 18:33:55 UTC; naras
+Packaged: 2024-07-11 18:43:50 UTC; naras
 Author: Balasubramanian Narasimhan [aut, cre],
   Manuel Koller [ctb],
   Steven G. Johnson [aut],
@@ -40,4 +40,4 @@
   Simen Gaure [ctb]
 Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
 Repository: CRAN
-Date/Publication: 2023-06-11 20:30:02 UTC
+Date/Publication: 2024-07-14 15:30:02 UTC

=== debian/changelog ===
r-cran-cubature (2.1.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 14 Jul 2024 11:47:19 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.1), dh-r, r-cran-rcpp
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r, r-cran-rcpp
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-cubature
 Vcs-Git: https://salsa.debian.org/edd/r-cran-cubature.git
 Homepage: https://cran.r-project.org/package=cubature

## r-cran-cubature 2.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: cubature
 Type: Package
 Title: Adaptive Multivariate Integration over Hypercubes
-Version: 2.1.1
+Version: 2.1.4-1
 VignetteBuilder: knitr
 SystemRequirements: GNU make and USE_C17
 URL: https://bnaras.github.io/cubature/
@@ -10,6 +10,8 @@
 	   	   email = "naras@stat.stanford.edu"),
 	     person("Manuel", "Koller", role=c("ctb"),
 	           email = "koller.manuel@gmail.com"),
+	     person("Dirk", "Eddelbuettel", role=c("ctb"),
+	           email = "edd@debian.org"),		   
              person(c("Steven", "G."), "Johnson", role=c("aut")),
              person("Thomas", "Hahn", role=c("aut")),
 	     person("Annie", "Bouvier", role=c("aut")),
@@ -28,11 +30,12 @@
 LinkingTo: Rcpp
 Imports: Rcpp
 NeedsCompilation: yes
-RoxygenNote: 7.3.2
-Suggests: testthat, knitr, mvtnorm, benchr, rmarkdown
-Packaged: 2024-07-11 18:43:50 UTC; naras
+RoxygenNote: 7.3.3
+Suggests: testthat, knitr, mvtnorm, bench, rmarkdown
+Packaged: 2025-11-22 00:01:16 UTC; naras
 Author: Balasubramanian Narasimhan [aut, cre],
   Manuel Koller [ctb],
+  Dirk Eddelbuettel [ctb],
   Steven G. Johnson [aut],
   Thomas Hahn [aut],
   Annie Bouvier [aut],
@@ -40,4 +43,4 @@
   Simen Gaure [ctb]
 Maintainer: Balasubramanian Narasimhan <naras@stat.stanford.edu>
 Repository: CRAN
-Date/Publication: 2024-07-14 15:30:02 UTC
+Date/Publication: 2025-11-22 06:10:10 UTC

=== src/Cuba-win/Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 COMMON_TMDEPS = $(COMMON_DEPS) $(common)/MSample.c
 
 RNG_DEPS = $(common)/Random.c $(common)/KorobovCoeff.c
+R_DEPS = $(LIB)(r_helpers.o)
 
 VEGAS_C = $(vegas)/Vegas.c
 VEGAS_TM = $(vegas)/Vegas.tm
@@ -26,8 +27,8 @@
   $(vegas)/Grid.c $(vegas)/Integrate.c
 VEGAS = $(VEGAS_C) $(VEGAS_TM) $(VEGAS_DEPS)
 
-$(LIB)(Vegas.o): config.h $(VEGAS_C) $(VEGAS_DEPS) $(COMMON_CDEPS) 
-	$(CC) $(CFLAGS) -I$(vegas) -DNOUNDERSCORE -c -o Vegas.o $(VEGAS_C)
+$(LIB)(Vegas.o): config.h $(VEGAS_C) $(VEGAS_DEPS) $(COMMON_CDEPS) $(R_DEPS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -I$(vegas) -DNOUNDERSCORE -c -o Vegas.o $(VEGAS_C)
 	$(AR) $(ARFLAGS) $(LIB) Vegas.o
 	$(RM) Vegas.o
 
@@ -41,8 +42,8 @@
   $(suave)/Integrate.c
 SUAVE = $(SUAVE_C) $(SUAVE_TM) $(SUAVE_DEPS)
 
-$(LIB)(Suave.o): config.h $(SUAVE_C) $(SUAVE_DEPS) $(COMMON_CDEPS)
-	$(CC) $(CFLAGS) -I$(suave) -DNOUNDERSCORE -c -o Suave.o $(SUAVE_C)
+$(LIB)(Suave.o): config.h $(SUAVE_C) $(SUAVE_DEPS) $(COMMON_CDEPS) $(R_DEPS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -I$(suave) -DNOUNDERSCORE -c -o Suave.o $(SUAVE_C)
 	$(AR) $(ARFLAGS) $(LIB) Suave.o
 	$(RM) Suave.o
 
@@ -57,8 +58,8 @@
   $(divonne)/Split.c $(divonne)/Integrate.c
 DIVONNE = $(DIVONNE_C) $(DIVONNE_TM) $(DIVONNE_DEPS)
 
-$(LIB)(Divonne.o): config.h $(DIVONNE_C) $(DIVONNE_DEPS) $(COMMON_CDEPS)
-	$(CC) $(CFLAGS) -I$(divonne) -DNOUNDERSCORE -c -o Divonne.o $(DIVONNE_C)
+$(LIB)(Divonne.o): config.h $(DIVONNE_C) $(DIVONNE_DEPS) $(COMMON_CDEPS) $(R_DEPS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -I$(divonne) -DNOUNDERSCORE -c -o Divonne.o $(DIVONNE_C)
 	$(AR) $(ARFLAGS) $(LIB) Divonne.o
 	$(RM) Divonne.o
 
@@ -71,29 +72,32 @@
   $(cuhre)/Rule.c $(cuhre)/Integrate.c
 CUHRE = $(CUHRE_C) $(CUHRE_TM) $(CUHRE_DEPS)
 
-$(LIB)(Cuhre.o): config.h $(CUHRE_C) $(CUHRE_DEPS) $(COMMON_CDEPS)
-	$(CC) $(CFLAGS) -I$(cuhre) -DNOUNDERSCORE -c -o Cuhre.o $(CUHRE_C)
+$(LIB)(Cuhre.o): config.h $(CUHRE_C) $(CUHRE_DEPS) $(COMMON_CDEPS) $(R_DEPS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -I$(cuhre) -DNOUNDERSCORE -c -o Cuhre.o $(CUHRE_C)
 	$(AR) $(ARFLAGS) $(LIB) Cuhre.o
 	$(RM) Cuhre.o
 
-
+$(LIB)(r_helpers.o): $(common)/r_helpers.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -DNOUNDERSCORE -c -o r_helpers.o $(common)/r_helpers.c
+	$(AR) $(ARFLAGS) $(LIB) r_helpers.o
+	$(RM) r_helpers.o
 
 $(LIB)(Fork.o): $(common)/Fork.c $(common)/stddecl.h $(common)/sock.h
-	$(CC) $(CFLAGS) -DNOUNDERSCORE -c -o Fork.o $(common)/Fork.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -DNOUNDERSCORE -c -o Fork.o $(common)/Fork.c
 	$(AR) $(ARFLAGS) $(LIB) Fork.o
 	$(RM) Fork.o
 
 
 
 $(LIB)(Global.o): $(common)/Global.c $(common)/stddecl.h
-	$(CC) $(CFLAGS) -DNOUNDERSCORE -c -o Global.o $(common)/Global.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -DNOUNDERSCORE -c -o Global.o $(common)/Global.c
 	$(AR) $(ARFLAGS) $(LIB) Global.o
 	$(RM) Global.o
 
 
 
 $(LIB)(Data.o): $(common)/Data.c $(common)/stddecl.h
-	$(CC) $(CFLAGS) -c -o Data.o $(common)/Data.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o Data.o $(common)/Data.c
 	$(AR) $(ARFLAGS) $(LIB) Data.o
 	$(RM) Data.o
 
@@ -103,6 +107,7 @@
 	$(LIB)(Cuhre.o)     \
 	$(LIB)(Fork.o)      \
 	$(LIB)(Global.o)    \
+	$(LIB)(r_helpers.o) \
 	$(LIB)(Data.o)
 	-$(RANLIB) $(LIB)

=== src/cubature-1.0.4/Makefile ===
# NOT PART OF cubature-1.0.2
#
#  Build the library.
#

libcubature.a: hcubature.o pcubature.o
	${AR} cr libcubature.a  hcubature.o pcubature.o
	${RANLIB} libcubature.a
#
# To clean things up.
#
clean:
	rm -f *.o
	rm -f libcubature.a cubature.ts

=== debian/changelog ===
r-cran-cubature (2.1.4-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 07 Jun 2025 12:12:01 -0500

r-cran-cubature (2.1.3-1) unstable; urgency=medium

  * New upstream release

  * src/Makevars: Correct R include dir

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 May 2025 20:34:45 -0500

r-cran-cubature (2.1.2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 May 2025 05:01:20 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r, r-cran-rcpp
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.0), dh-r, r-cran-rcpp
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-cubature
 Vcs-Git: https://salsa.debian.org/edd/r-cran-cubature.git
 Homepage: https://cran.r-project.org/package=cubature

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-cubature package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-cubature 2.1.4-1

=== debian/changelog ===
r-cran-cubature (2.1.4-1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Nov 2025 06:52:20 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.0), dh-r, r-cran-rcpp
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.2), dh-r, r-cran-rcpp
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-cubature
 Vcs-Git: https://salsa.debian.org/edd/r-cran-cubature.git
